%define		subrel 1
%define		oname %{name}6
Name:		getmail
Summary:	IMAP and POP3 mail retriever with reliable Maildir delivery
Version:	6.12
Release:	%mkrel 1
License:	GPLv2
Group:		Networking/Mail
URL:		https://github.com/getmail6/getmail6
Source0:	https://github.com/%{oname}/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch0:		getmail-6.12-mga-big-mailbox-crash.patch
BuildRequires:	pkgconfig(python3)
BuildArch:	noarch

%description
getmail is intended as a simple replacement for fetchmail for those people who
do not need its various and sundry configuration options, complexities, and
bugs.  It retrieves mail from one or more IMAP or POP3 servers for one or more
email accounts, and reliably delivers into a mbox or Maildir specified on a
per-account basis.  Retrieval of mail using SSL is supported for both
protocols.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
%py3_build

%install
%py3_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%doc docs/BUGS docs/CHANGELOG docs/THANKS
%doc docs/*.txt docs/*.html docs/*.css
%doc docs/getmailrc-examples
%{python3_sitelib}/getmailcore/
%{python3_sitelib}/*.egg-info
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*
%license docs/COPYING


%changelog
* Wed May 11 2022 solbu <solbu> 6.12-1.1.mga8
+ Revision: 1857649
- Fix crash on accessing big mailboxes (mga#30301)

* Thu Dec 31 2020 solbu <solbu> 6.12-1.mga8
+ Revision: 1667138
- New release: 6.12

* Sat Aug 15 2020 solbu <solbu> 6.02-1.mga8
+ Revision: 1614132
- New upstream URL
- New version: 6.02
- Revive getmail

* Sun Feb 16 2020 umeabot <umeabot> 5.14-2.mga8
+ Revision: 1530502
- Mageia 8 Mass Rebuild

* Fri Aug 30 2019 daviddavid <daviddavid> 5.14-1.mga8
+ Revision: 1435303
- new version: 5.14

* Sat Feb 23 2019 daviddavid <daviddavid> 5.13-1.mga7
+ Revision: 1369533
- new version: 5.13

* Sat Feb 23 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1369448
- new version: 5.12

* Wed Feb 13 2019 daviddavid <daviddavid> 5.11-1.mga7
+ Revision: 1366702
- new version: 5.11

* Wed Feb 13 2019 daviddavid <daviddavid> 5.10-1.mga7
+ Revision: 1366675
- new version: 5.10

* Fri Feb 08 2019 daviddavid <daviddavid> 5.9-1.mga7
+ Revision: 1364205
- new version: 5.9

* Sat Nov 10 2018 daviddavid <daviddavid> 5.8-1.mga7
+ Revision: 1329371
- new version: 5.8

* Sat Nov 10 2018 daviddavid <daviddavid> 5.7-1.mga7
+ Revision: 1329346
- new version: 5.7

* Thu Sep 20 2018 umeabot <umeabot> 5.6-2.mga7
+ Revision: 1278406
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 5.6-1.mga7
+ Revision: 1230457
- new version: 5.6

* Tue Mar 27 2018 kekepower <kekepower> 5.5-1.mga7
+ Revision: 1212935
- Update to version 5.5

* Wed Jan 13 2016 remmy <remmy> 4.49.0-1.mga6
+ Revision: 922845
- New upstream version: 4.49.0

* Tue Jan 12 2016 remmy <remmy> 4.48.0-5.mga6
+ Revision: 922078
- New upstream version: 4.48.0

* Wed Oct 15 2014 umeabot <umeabot> 4.46.0-5.mga5
+ Revision: 745589
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.46.0-4.mga5
+ Revision: 726320
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.46.0-3.mga5
+ Revision: 679549
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 4.46.0-2.mga5
+ Revision: 628217
- Rebuild for new Python

* Wed Apr 09 2014 remmy <remmy> 4.46.0-1.mga5
+ Revision: 612991
- New upstream version

* Sun Mar 23 2014 remmy <remmy> 4.44.0-1.mga5
+ Revision: 606702
- New upstream version: 4.44.0

* Sat Feb 08 2014 dams <dams> 4.43.0-1.mga5
+ Revision: 585800
- new version 4.43.0

* Tue Oct 22 2013 umeabot <umeabot> 4.41.0-3.mga4
+ Revision: 542541
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 4.41.0-2.mga4
+ Revision: 497758
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 09 2013 wally <wally> 4.41.0-1.mga4
+ Revision: 452117
- new version 4.41.0
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 4.36.0-2.mga3
+ Revision: 351499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 remmy <remmy> 4.36.0-1.mga3
+ Revision: 331399
- New upstream version 4.36.0, adding support for storing and retrieving
  passwords on the GNOME keyring

* Sun Nov 11 2012 remmy <remmy> 4.35.0-1.mga3
+ Revision: 316933
- New upstream version: 4.35.0

* Sat Sep 15 2012 remmy <remmy> 4.34.0-1.mga3
+ Revision: 294072
- New upstream version: 4.34.0

* Sat Aug 11 2012 remmy <remmy> 4.33.0-1.mga3
+ Revision: 280521
- New upstream version: 4.33.0

* Sat Jul 07 2012 remmy <remmy> 4.32.0-1.mga3
+ Revision: 268568
- New upstream version: 4.32.0

* Fri Jul 06 2012 remmy <remmy> 4.31.0-1.mga3
+ Revision: 268410
- New upstream version: 4.31.0

* Fri Jun 22 2012 remmy <remmy> 4.30.1-1.mga3
+ Revision: 262550
- New upstream version: 4.30.1

* Sun Nov 20 2011 kharec <kharec> 4.23.0-2.mga2
+ Revision: 170082
- new version 4.23.0

* Sat Oct 01 2011 stormi <stormi> 4.22.1-2.mga2
+ Revision: 150809
- bump release to stay above Mageia 1

* Sat Oct 01 2011 remmy <remmy> 4.22.1-1.mga2
+ Revision: 150803
- Update to latest upstream version

* Sun Jun 19 2011 kharec <kharec> 4.20.3-1.mga2
+ Revision: 109741
- new version 4.20.3

* Sun Jan 09 2011 kharec <kharec> 4.20.0-2.mga2
+ Revision: 1339
- imported package getmail

